Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht (30.10.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Merge System - Problem mit Datenbankkonfiguration/table prefix
#1
Hallo,

ich hoffe, ihr könnt mir helfen. 
Ich habe gerade die neuste Version des MyBB installiert (1.8.6) und möchte jetzt mein altes WBB 2 Lite importieren. Die Installation des Boards hat einwandfrei funktioniert aber bei der Datenbankkonfiguration des Merge Systems hänge ich jetzt. Ich habe alles soweit eingegeben und bekomme folgende Fehlermeldung:

There seems to be one or more errors with the database configuration information that you supplied:
  • The WBB 3 / Lite 2 database could not be found in 'Name-Datenbank'. Please ensure WBB 3 / Lite 2 exists at this database and with this table prefix.
Once the above are corrected, continue with the conversion.

Ich vermute, dass es am Table Prefix liegt, weil das alte Board ist definitiv WBB2 Lite und es liegt dort. Die Zugangsdaten passen auch. 
In der Dokumentation steht, dass man bei den "MySQL Improved Table Settings" das Table Prefix eintragen soll - in der Version 1.8.6 gibt es das Feld aber nicht. Dort gibt es nur "Table Encoding". Hat von euch jemand eine Ahnung, was ich da machen kann? Ich habe auch schon nach der 1.8er Version des Merge Systems gesucht, um es damit zu versuchen, aber leider ohne Erfolg.

Bin für jeden Rat dankbar.

Liebe Grüße,
Cassidy
Zitieren
#2
Steht in der Fehlermeldung wirklich "Name-Datenbank" oder hast du das selbst anonymisiert?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
(30.12.2015, 10:58)StefanT schrieb: Steht in der Fehlermeldung wirklich "Name-Datenbank" oder hast du das selbst anonymisiert?


Das hab' ich selbst anonymisiert. Der Name, der dort steht, ist identisch mit dem Datenbanknamen, den ich von meinem Provider habe. Ich hab' auch schon den Datenbanknamen (db....) und den Datenbank Benutzernamen (dbu...) ausgetauscht, aber dann kommt die Meldung, dass Benutzername oder Passwort falsch sind.
Mich irritiert halt total, dass die Prefix Abfrage fehlt...


Angehängte Dateien Thumbnail(s)
   
Zitieren
#4
Moin,

benutzt du einen anderen Präfix als die Installationsnummer? Schau mal im Merge System in die Datei boards/wbb3.php, dort werden die Präfixe in den Zeilen 119 und 120 definiert.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#5
Hallo Michael,

ich hab mal reingesehen und in Zeile 119 steht 

'This is a hack to fix the table prefix. It's always wbb{num}_1.'

Meine Version ist die Lite 2.3.6 aber ich hab grade gefühlt sämtliche Variationen der Schreibweise ausprobiert und es funktioniert leider nicht. Ich kenn mich leider nicht gut genug aus. Wie genau würde ich denn das table prefix jetzt schreiben müssen? wbb2.3.6_1? Ich hab's mit geschweiften Klammern versucht, ohne, mit Leerzeichen zwischen wbb und 2.3.6 - nur wbb2_1. Sorry, ich bin unter Umständen grade total blond oder steh komplett auf der Leitung.

Danke trotzdem schon mal und liebe Grüße,
Cassidy
Zitieren
#6
Hast du mal in der Datenbank direkt nachgesehen, wie das Präfix lautet? Ist es wbb2.3.6_1?

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#7
In der Datenbank steht 'bb1_" - aber das war das erste, was ich ausprobiert hatte. Mit und ohne den "_".

LG,
Cassidy
Zitieren
#8
Verwendest du wirklich WBB Lite 2 (basierend auf WBB 3)? Die letzte Version, die ich finden konnte, war 2.1.2 pl1.

Falls du stattdessen WBB 2.3.6 (ohne Lite) im Einsatz hast, wird dieses nicht vom Merge-System unterstützt, da es zu alt ist (Support seitens Woltlab 2010 eingestellt). Vielleicht findest du einen anderen Konverter, ansonsten müsste eine Zwischenschritt über eine unterstützte Version oder Forensoftware eingelegt werden.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#9
Oha. Das Ding ist steinalt und ich dachte, es müsse Lite sein, aber es ist in der Tat 2.3.6. Aber das erklärt es wenigstens. Dann guck ich mal weiter, ob ich es vorher irgendwie updaten/umstellen kann.

Danke für die Hilfe!!
Zitieren
#10
Hallo,

ich habe das gleiche Problem. Bei uns ist das "Burning Board® Lite Version
2.0.1 pl 1 (Nova)" im Einsatz und beim Merge System kommt der Fehler:


Code:
There seems to be one or more errors with the database configuration information that you supplied:

The WBB 3 / Lite 2 database could not be found in 'DB'. Please ensure WBB 3 / Lite 2 exists at this database and with this table prefix.
Once the above are corrected, continue with the conversion.


Die Tabellen sind alle mit wcf1_ oder wbb1_1_ mit Präfix. In der wbb3.php steht's auch korrekt drinnen:
define("WCF_PREFIX", "wcf{$this->installationnumber}_");
define("WBB_PREFIX", "wbb{$this->installationnumber}_1_");

Noch jemand eine Idee was ich probieren könnte?

Danke,
Robert
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  wBB -> MyBB? Mit Merge System? itsmeJAY 4 1.452 11.10.2021, 07:15
Letzter Beitrag: MiDa
  Merge-System-Fehlermeldung FlederMaus 8 574 07.08.2021, 13:43
Letzter Beitrag: FlederMaus
  Import von WBB4 über Merge System GabyH 2 674 21.12.2020, 15:53
Letzter Beitrag: GabyH
Sad Merge System will nicht jojo-gfx 19 1.891 30.09.2020, 18:07
Letzter Beitrag: jojo-gfx
  Merge-System zeigt Fehler an Niko 9 1.448 02.10.2019, 13:06
Letzter Beitrag: bv64